org.apache.cassandra.db.commitlog

## Interface CommitLogMBean

All Known Implementing Classes:
  CommitLog

    public interface CommitLogMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getActiveContentSize()`
`long` `getActiveOnDiskSize()`
`java.util.Map<java.lang.String,java.lang.Double>` `getActiveSegmentCompressionRatios()`
`java.util.List<java.lang.String>` `getActiveSegmentNames()`
`java.lang.String` `getArchiveCommand()` Command to execute to archive a commitlog segment.
`java.util.List<java.lang.String>` `getArchivingSegmentNames()`
`java.lang.String` `getRestoreCommand()` Command to execute to make an archived commitlog live again
`java.lang.String` `getRestoreDirectories()` Directory to scan the recovery files in
`long` `getRestorePointInTime()` Restore mutations created up to and including this timestamp in GMT Format: yyyy:MM:dd HH:mm:ss (2012:04:31 20:43:12) Recovery will continue through the segment when the first client-supplied timestamp greater than this time is encountered, but only mutations less than or equal to this timestamp will be applied.
`java.lang.String` `getRestorePrecision()` get precision of the timestamp used in the restore (MILLISECONDS, MICROSECONDS, ...) to determine if passed the restore point in time.
`void` `recover(java.lang.String path)` Recover a single file.

### Method Detail

#### getArchiveCommand

    java.lang.String getArchiveCommand()

Command to execute to archive a commitlog segment. Blank to disabled.

#### getRestoreCommand

    java.lang.String getRestoreCommand()

Command to execute to make an archived commitlog live again

#### getRestoreDirectories

    java.lang.String getRestoreDirectories()

Directory to scan the recovery files in

#### getRestorePointInTime

    long getRestorePointInTime()

Restore mutations created up to and including this timestamp in GMT Format: yyyy:MM:dd HH:mm:ss (2012:04:31 20:43:12) Recovery will continue through the segment when the first client-supplied timestamp greater than this time is encountered, but only mutations less than or equal to this timestamp will be applied.

#### getRestorePrecision

    java.lang.String getRestorePrecision()

get precision of the timestamp used in the restore (MILLISECONDS, MICROSECONDS, ...) to determine if passed the restore point in time.

#### recover

    void recover(java.lang.String path)
          throws java.io.IOException

Recover a single file.

Throws:
  `java.io.IOException`

#### getActiveSegmentNames

    java.util.List<java.lang.String> getActiveSegmentNames()

Returns:
  file names (not full paths) of active commit log segments (segments containing unflushed data)

#### getArchivingSegmentNames

    java.util.List<java.lang.String> getArchivingSegmentNames()

Returns:
  Files which are pending for archival attempt. Does NOT include failed archive attempts.

#### getActiveContentSize

    long getActiveContentSize()

Returns:
  The size of the mutations in all active commit log segments (uncompressed).

#### getActiveOnDiskSize

    long getActiveOnDiskSize()

Returns:
  The space taken on disk by the commit log (compressed).

#### getActiveSegmentCompressionRatios

    java.util.Map<java.lang.String,java.lang.Double> getActiveSegmentCompressionRatios()

Returns:
  A map between active log segments and the compression ratio achieved for each.